javax.ws.rs.client

## Class ResponseProcessingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.ws.rs.ProcessingException
        - - javax.ws.rs.client.ResponseProcessingException

- All Implemented Interfaces:
    Serializable

      public class ResponseProcessingException
      extends ProcessingException

  JAX-RS client-side runtime processing exception thrown to indicate that response processing has failed (e.g. in a filter chain or during message entity de-serialization). The exception contains the nested `Response` instance for which the runtime response processing failed.
  Since:
    2.0
  Author:
    Marek Potociar (marek.potociar at oracle.com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponseProcessingException(Response response, String message)` Constructs a new JAX-RS runtime processing exception with the specified detail message.
    `ResponseProcessingException(Response response, String message, Throwable cause)` Constructs a new JAX-RS runtime response processing exception with the specified detail message and cause.
    `ResponseProcessingException(Response response, Throwable cause)` Constructs a new JAX-RS runtime response processing exception for a specific `response` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Response` | `getResponse()` Get the HTTP response for which the processing has failed.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResponseProcessingException

          public ResponseProcessingException(Response response,
                                     Throwable cause)

      Constructs a new JAX-RS runtime response processing exception for a specific `response` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`). This constructor is useful for runtime exceptions that are little more than wrappers for other throwables.
      Parameters:
        `response` - the response instance for which the processing failed.
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

    - #### ResponseProcessingException

          public ResponseProcessingException(Response response,
                                     String message,
                                     Throwable cause)

      Constructs a new JAX-RS runtime response processing exception with the specified detail message and cause.

      Note that the detail message associated with `cause` is not automatically incorporated in this runtime exception's detail message.
      Parameters:
        `response` - the response instance for which the processing failed.
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

    - #### ResponseProcessingException

          public ResponseProcessingException(Response response,
                                     String message)

      Constructs a new JAX-RS runtime processing exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.
      Parameters:
        `response` - the response instance for which the processing failed.
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).

  - ### Method Detail

    - #### getResponse

          public Response getResponse()

      Get the HTTP response for which the processing has failed.
      Returns:
        the HTTP response.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.